SDL_RenderClear(3)

NAME
SDL_RenderClear - Clear the current rendering target with the drawing color.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RenderClear(SDL_Renderer *renderer);

DESCRIPTION
This function clears the entire rendering target, ignoring the viewport and the clip rectangle.

FUNCTION PARAMETERS

renderer
    the rendering context

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetRenderDrawColor(3)